> ## Documentation Index
> Fetch the complete documentation index at: https://docs.joyfill.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List all documents



## OpenAPI

````yaml get /documents
openapi: 3.1.0
info:
  title: joyfill
  version: '1.1'
servers:
  - url: https://api-joy.joyfill.io/v1
security:
  - sec0: []
paths:
  /documents:
    get:
      summary: List all documents
      operationId: list-all-documents
      parameters:
        - name: limit
          in: query
          description: >-
            A limit on the number of objects to be returned. Limit can range
            between 1 and 100, and the default is 25.
          schema:
            type: integer
            format: int32
            default: 25
        - name: page
          in: query
          description: >-
            An integer for use with pagination. For instance, if limit is set to
            25 and you set page to 2 then results 26-50 will be returned.
          schema:
            type: integer
            format: int32
            default: 1
        - name: type
          in: query
          schema:
            type: string
            enum:
              - document
              - template
            default: document
        - name: template
          in: query
          description: >-
            Specifies an original source template identifier to filter
            documents.
          schema:
            type: string
        - name: group
          in: query
          description: >-
            Filter documents by a specific group identifier. Only documents that
            belong to the specified group will be returned.
          schema:
            type: string
        - name: stage
          in: query
          schema:
            type: string
            enum:
              - all
              - published
              - draft
            default: published
        - name: Authorization
          in: header
          description: >-
            Supports both API Key and User Access Token authorization. See
            https://joyfill.mintlify.app/api/authentication
          schema:
            type: string
        - name: properties
          in: query
          description: >-
            Limit the data returned as a part of the response by specifying the
            desired properties ( ["name", "stage", "files"] )
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: '200'
          content:
            text/plain:
              examples:
                Result:
                  value: |-
                    {
                      "data": [Object, Object, ...]
                    }
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "message": "Not Found"
                    }
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not Found
      deprecated: false
      security: []
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````